/** This StringComparisons class contains examples of comparing Java
 ** String values.
 **
 ** @author Jonathan Doughty
 **/

public class StringComparisonsInst {

  public static void main(String args[]) {

    if (args.length != 2) {
      System.out.println(
        "usage: java StringComparisons \"string1\" \"string2\"");
    }
    else {
      StringComparisonsInst instance = new StringComparisonsInst();

      instance.compare( args[0], args[1] );
    }
  }

  public void compare(String string1, String string2) {

    // Compare input arguments in several ways
    
    if (string1.equals(string2)) 

      System.out.println("Strings are the same");

    else if (string1.equalsIgnoreCase(string2))

      System.out.println("Strings are the same, ignoring case");

    else if (string1.startsWith(string2))

      System.out.println( string2 + " matches the beginning of " + 
                          string1);
    
    else if ( string1.equalsIgnoreCase("Java") ||
              string2.equalsIgnoreCase("Java"))

      System.out.println( "one of the arguments matches 'Java'");

    else if (string1.endsWith(string2))

      System.out.println( string2 + " matches the end of " + string1);

    else {
      int compareValue = string1.compareTo(string2);
      if ( compareValue > 0) 

        System.out.println( string1 + " is 'greater' than  " + 
                            string2);

      else 

        System.out.println( string1 + " is 'less' than  " + 
                            string2);
    }
  }
}
